from pathlib import Path

import nox


_HERE = Path(__file__).absolute().parent


_PYLINT_MIN_VERSION = "2.6.0"
_PYLINT_PYTEST_MIN_VERSION = "0.3.0"


@nox.session(reuse_venv=True)
def pylint_test(session):
    session.install('.')
    session.install(f'pylint>={_PYLINT_MIN_VERSION}', f'pylint-pytest>={_PYLINT_PYTEST_MIN_VERSION}')
    session.run('pylint', '--fail-under', '9.8', str(_HERE/'test'))
